> For the complete documentation index, see [llms.txt](https://help.bioinsight.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/automation/automation-tokens/derived-sample-automation-tokens.md).

# Derived Sample Automation Tokens

When configuring automations in the BaseSpace Clarity LIMS, copy tokens from the Tokens list and paste them into the Command-Line field.

These tokens are available for use in derived sample automations. If using multiple variables, add a space between each entry. All tokens and parameters are case-sensitive.

<table><thead><tr><th width="185">Token</th><th>Purpose</th><th>Example</th></tr></thead><tbody><tr><td>{username}</td><td>Supplies the username being configured in client.properties for the Automation Worker running the automation.</td><td><p><code>cmd /c "C:\ai\ai.bat {username}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat apiuser</code></p></td></tr><tr><td>{password}</td><td>Supplies the password of the username being configured in client.properties for the Automation Worker running the automation.</td><td><p><code>cmd /c "C:\ai\ai.bat {password}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat 3BlindMice</code></p><p>In log files, the password supplied on the command line is replaced with a series of *** characters.</p></td></tr><tr><td>{baseURI}</td><td>Supplies the base API URI to the triggered automation script.</td><td><p><code>cmd /c "C:\ai\ai.bat {baseURI}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat https://lims.lan.29/api</code></p></td></tr><tr><td>{derivedSampleLuids}</td><td>Supplies the derived sample LIMS IDs to the triggered automation script.</td><td><p><code>cmd /c "C:\ai\ai.bat {derivedSampleLuids}"</code></p><p>resolves to:</p><p><code>cmd /c C:\ai\ai.bat 2-1641 2-1642 2-1643</code></p></td></tr><tr><td>{userinput:customParameterName}</td><td>Allows for data input to supply the triggered automation script. Custom parameters are identified with the prefix 'userinput:'</td><td><p>The following command line requires the user to input a value for 'more_yield':</p><p><code>yieldscript.sh -y {userinput:more_yield} -u {username}</code></p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/automation/automation-tokens/derived-sample-automation-tokens.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
